Subject: [bug#56859] [PATCH] gnu: xdg-desktop-portal-wlr: Change elogind to basu for sd-bus.

From: Maxime Devos <[email-masked]>
Date: Mon, 1 Aug 2022 01:13:18 +0200

On 31-07-2022 23:45, ( wrote:
> On Sun Jul 31, 2022 at 6:38 PM BST, Maxime Devos wrote:
>> What's the reason for the switch?
> Fewer dependencies (we include only the sd-bus library without the whole
> of elogind), and it means eventually desktop users won't ever need elogind
> to even exist in their store. (I think this is the reason. I'm not certain,
> and there may be something more important, like some incompatibility with
> seatd.)
>
>      -- (

That's interesting but sounds very non-specific to 
xdg-desktop-portal-wlr; I think this would be better to propose on 
guix-devel@ to switch elogind->basu for _all_ dependents, not only 
xdg-desktop-portal-wlr -- the latter would increate the closure, not 
reduce it, because other installed packages would still use elogind.

Greetings,
Maxime.